.height-container {
  min-height: $height-container-block;
}

.avatar {
  width: 2.5rem;
  height: 2.5rem;
  line-height: 2.5rem;
  font-size: 1rem;
  border-radius: 50%;
  display: inline-block;
  background: no-repeat center/cover;
  vertical-align: middle;
}

.stamp {
  background: var(--color-green-3);
  display: inline-block;
  min-width: 45px;
  height: 45px;
  line-height: 50px;
  text-align: center;
  border-radius: 3px;
  font-weight: 200;
  fa-icon {
    font-size: 20px;
  }
}

.status-icon {
  content: "";
  width: 0.5rem;
  height: 0.5rem;
  display: inline-block;
  border-radius: 50%;
  transform: translateY(-1px);
  margin-right: 0.375rem;
  vertical-align: middle;
}

.breadcrumb {
  background-color: transparent !important;
  .breadcrumb-item + .breadcrumb-item {
    font-size: 16px;
    font-weight: 400;
    color: var(--color-blue-4);
    &::before {
      // // content: '>' !important;
      // content: url("/assets/icon-svg/left_arrow.svg") !important;
      // font-size: 4px;
      // padding: 0px 10px;
      // // transform: scale(0.5);
      // transform: scale(0.5);
    }
  }
  svg-icon {
    path {
      fill: $secondary;
    }
  }
}

.mat-form-field {
  font-size: 14px;
}

button:focus {
  outline: none !important;
}

.mat-table {
  background-color: $body-bg !important;
  width: 100%;
  thead {
    background-color: #fff !important;
    border: 0px solid var(--color-blue-5) !important;
    th {
      font-size: 15px !important;
      font-weight: 600;
      padding-right: 0 !important;
      color: var(--color-green-1) !important;
      border-top: 1px solid #efefef !important;
      // border-bottom: 1px solid #EFEFEF !important;
      border-bottom: none !important;
      div:not(.mat-checkbox-background) {
        justify-content: start !important;
      }
    }
  }
  .mat-row {
    cursor: pointer !important;
    // border-top: 1px solid var(--color-blue-5) !important;
    background-color: $white;
    td {
      font-size: 13px;
      padding: 5px 8px 0px 0px;
      font-weight: 400;
      color: #354360;
      text-align: left;
    }
    &.selected {
      // background:
      // border: 1px solid var(--main-strada-color-1);
      border: none;
      .mat-cell {
        // color: $white;
        border-bottom: 1px solid var(--main-strada-color-1) !important ;
        border-top: 1px solid var(--main-strada-color-1) !important;
        &:first-of-type {
          border-left: 1px solid var(--main-strada-color-1) !important;
        }
        &:last-of-type {
          border-right: 1px solid var(--main-strada-color-1) !important;
        }
      }
    }
    &:not(.selected) {
      border-top: 0px solid #efefef;
      .mat-cell {
        border-bottom: 0 !important ;
        border-top: 0 !important ;
      }
      &:last-of-type {
        border-bottom: 1px solid #efefef;
      }
    }
  }
}
.selected + .mat-row:not(.selected) {
  border-top: 0 !important;
}
.mat-row:nth-child(even) {
  background-color: #ffffff;
}

.mat-row:nth-child(odd) {
  background-color: #f8fafb;
}
tr.mat-footer-row,
tr.mat-row {
  height: 45px !important;
}

td.mat-cell {
  // border-bottom-color: rgba(0, 0, 0, 0) !important;
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
  // max-width: 102px;
  font-family: "AvenirBook";
}
.mat-elevation-z8 {
  box-shadow: none !important;
}

.mat-menu-item {
  fa-icon {
    font-size: 18px;
  }
}

.mat-button {
  line-height: 34px !important;
  fa-icon {
    font-size: 13px;
  }
}

.mat-sort-header-button {
  font-size: 12px !important;
  color: var(--main-strada-color-2) !important;
  line-height: 1 !important;
  font-family: AvenirHeavy !important;
  text-align: left !important;
  font-weight: 100 !important;
}

th.mat-header-cell:last-of-type {
  border-bottom-width: 0px !important;
  border-left: 1px solid #efefef;
  border-right: 1px solid #efefef;
}

.mat-paginator {
  border-top: 5px solid #f6f7f8 !important;
  background-color: $body-bg !important;
  .mat-paginator-page-size-label {
    display: none !important;
  }
  .mat-paginator-range-actions {
    .mat-paginator-page-size-label {
    }
  }
  .mat-paginator-icon {
    width: 23px;
  }
}

// .mat-select-panel {
//   background-color: #f3f3f3;
//   * {
//     font-family: 'AvenirBook';
//   }
// }

// .mat-form-field.mat-focused.mat-primary .mat-select-arrow,
// .mat-select-value-text,
// .mat-paginator-range-label,
// .mat-icon-button {
//   color: var(--main-strada-color-2) !important;
//   font-family: 'AvenirBook';
// }

.mat-icon-button[disabled][disabled] {
  color: rgba(0, 0, 0, 0.26) !important;
}

.mat-sort-header-arrow {
  color: var(--main-strada-color-2) !important;
}

.mat-sort-header-container:hover .mat-sort-header-arrow {
  opacity: 1 !important;
}

.mat-header-cell:hover .mat-sort-header-arrow {
  opacity: 1 !important;
}

.mat-paginator-page-size-select {
  margin: 0 !important;
}

.mat-paginator-range-label {
  margin: 5px 15px 0 10px;
  font-family: "AvenirBook";
}

.mat-paginator-icon {
  width: 20px;
}
.bg-body {
  background-color: $body-bg !important;
}

.mat-radio-label {
  margin-bottom: 0 !important;
  margin-right: 20px !important;
}

// .cdk-overlay-container {
//   z-index: 9999 !important;
// }

.block-actions {
  svg-icon {
    path {
      fill: var(--color-gray-3);
    }
    circle {
      fill: var(--color-gray-3);
    }
    rect {
      fill: var(--color-gray-3);
    }
    line {
      fill: var(--color-gray-3);
    }
  }
}

.bg-gray {
  background-color: var(--color-gray-1) !important;
}

.bg-tachygraphe {
  padding: 20px;
  /* box-shadow: 0px 1px 49.47px 1.53px rgba(201, 210, 220, 0.35);*/
  box-shadow: 0px 1px 14px 0px var(--color-blue-6) !important;
  border-radius: 3px;
}
.border-blue-left {
  border-left-color: 1px solid var(--main-strada-color-2) !important;
  border: 1px solid;
}
.border-blue-top {
  border-left-color: 1px solid var(--main-strada-color-2) !important;
  border: 1px solid;
}
.border-blue-right {
  border-left-color: 1px solid var(--main-strada-color-2) !important;
  border: 1px solid;
}
.border-blue-bottm {
  border-left-color: 1px solid var(--main-strada-color-2) !important;
  border: 1px solid;
}
.border-blue {
  border-color: 1px solid var(--main-strada-color-2) !important;
  border: 1px solid;
}

.btn-save {
  padding: 0 !important;
}
.btn-save,
.btn-filter {
  height: 37px !important;
  display: flex !important;
}

.btn-filter {
  cursor: pointer;
  svg-icon {
    path {
      fill: $primary;
    }
  }
  p {
    margin-right: 5px;
    margin-top: 0.2rem;
  }
  svg:first-of-type {
    font-size: 1.1em;
  }
  svg {
    width: 0.6em !important;
    color: white;
  }
  &[aria-expanded="true"] {
    .faChevronDown {
      display: none;
    }
  }
  &:not([aria-expanded]) {
    .faChevronUp {
      display: none;
    }
  }
}

.btn-group {
  button {
    height: 35px !important;
    padding-left: 30px;
    padding-right: 30px;
    color: $secondary !important;
    &:hover,
    &:focus {
      background-color: var(--main-strada-color-1-a-02) !important;

      border-color: var(--main-strada-color-) !important;
      color: $white !important;
      box-shadow: none !important;
    }
  }
  button.active {
    background-color: var(--main-strada-color-1) !important;
    border-color: var(--main-strada-color-1) !important;
    color: $white !important;
    box-shadow: none !important;
  }
  .btn-outline-warning:focus,
  .btn-outline-warning.focus {
    box-shadow: none !important;
  }
}

.accordion {
  width: 100%;
  a {
    color: #70789b;
    font-weight: 600;
    &:hover {
      text-decoration: none;
    }
    fa-icon {
      font-size: 35px;
      margin-right: 20px;
      line-height: 30px;
      width: 30px;
      text-align: center;
      color: #70789b;
      &.faChevron {
        font-size: 14px;
        margin-right: 10px;
      }
      &.faChevronDown {
        display: none;
      }
    }
    &.collapsed {
      .faChevronUp {
        display: none;
      }
      .faChevronDown {
        display: block;
      }
    }
  }
  .collapsing {
    transition: height 0.1s ease;
  }
}

.mat-checkbox-layout {
  white-space: pre-wrap !important;
  .mat-checkbox-label {
    line-height: 17px !important;
    font-size: 14px;
    font-weight: 400;
    font-family: "AvenirMedium";
  }
}

.event-type .mat-form-field-flex {
  padding: 0px 15px 0 8px;
  height: 40px !important;
  font-size: 15px;
  font-weight: 400;
  color: #545d79;
  background-color: var(--main-strada-color-1) !important;
  border: 1px solid var(--main-strada-color-1) !important;
  border-radius: 3px;
  display: flex;
  align-items: center !important;
  .mat-form-field-infix {
    padding: 0 !important;
    border: none !important;
    // .mat-select-value-text span {
    //   color: white;
    //   font-family: AvenirMedium;
    // }
  }
}
.blk-search {
  .mat-form-field {
    padding: 0px 15px 0 8px;
    height: 32px !important;
    font-size: 15px;
    font-weight: 400;
    color: #545d79;
    background-color: rgba(95, 194, 205, 0.11) !important;
    border: 1px solid var(--color-blue-5) !important;
    display: flex;
    flex-direction: column;
    justify-content: center;
  }
  .mat-form-field-appearance-legacy .mat-form-field-infix {
    padding: 0;
    border-top: 0;
    padding-top: 25px;
  }
}

.mat-form-field-underline {
  display: none;
}

.bg-pink-2 {
  background-color: var(--color-pink-2) !important;
  border: 1px solid #d7bdf5;
}
.bg-yellow-1 {
  background-color: var(--color-yellow-1) !important;
  border: 1px solid #faedc8;
}
.bg-purple-1 {
  background-color: var(--color-purple-1) !important;
  border: 1px solid #ced4f7;
}
.bg-blue-8 {
  background-color: var(--color-blue-8) !important;
  border: 1px solid #b8d9fa;
}
.bg-green-6 {
  background-color: var(--color-green-6) !important;
  border: 1px solid #c2fce4;
}
.bg-pink-1 {
  background-color: var(--color-pink-1) !important;
  border: 1px solid #f8dadf;
}

.bg-light-gray {
  background-color: #f7f9fc !important;
}

.border-b {
  border-bottom: 1px solid #d8d8d8;
}

.error-border {
  border-left: 5px solid #f36666;
  box-shadow: 0px 0px 0px 1px #354360;
}
.warning-border {
  border-left: 5px solid #fab94d;
  box-shadow: 0px 0px 0px 1px #354360;
}
.succes-border {
  border-left: 5px solid #73f36c;
  box-shadow: 0px 0px 0px 1px #354360;
}
.underline-text {
  text-decoration: underline;
}

// .mat-accent  {
//     background-color: var(--color-green-1) !important;
//   }

.mat-checkbox-indeterminate,
.mat-checkbox-checked {
  &.mat-accent .mat-checkbox-background {
    background-color: var(--main-strada-color-2) !important;
  }
}
.mat-checkbox-ripple {
  .mat-ripple-element,
  .mat-checkbox-persistent-ripple {
    background: var(--main-strada-color-2) !important;
  }
}
.center-div {
  width: 120px;
  margin: auto;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
}

.scroll {
  table.mat-table {
    border-spacing: 0;
    // height: calc(100vh - 165px);
    overflow: auto;
    width: -webkit-fill-available;
    max-height: calc(100vh - 175px);
    max-width: -webkit-fill-available;
    display: list-item;
    /* min-width: 642px; */
    overflow: auto;
  }
}
@media (min-width: 1580px) and (max-width: 1600px) {
  .scroll {
    table.mat-table {
      overflow-x: hidden;
      // thead th {
      // transform: translate(-15px, 0) !important;
      // }
    }
  }
}
@media (min-width: 1580px) {
  .scroll {
    table.mat-table {
      overflow-x: hidden;
    }
  }
}

.scroll-vertical {
  table.mat-table {
    border-spacing: 0;
    // height: calc(100vh - 165px);
    overflow: auto;
    max-height: calc(100vh - 175px);
    display: block;
    border-top: 0px solid #dee2e6 !important;
  }
}

.td-min-1 {
  // min-width: 120px;
}
.td-min-2 {
  width: 176.2px;
}
.more-mat-btn {
  border-radius: 0px !important;
  &:hover {
    background-color: #f7f7f7;
  }
  &:focus {
    outline-width: 1px !important;
    outline-style: solid !important;
    outline-color: var(--main-strada-color-2) !important;
  }
}
.btn {
  font-size: 13px !important;
}
::-webkit-scrollbar {
  height: 0.755em !important;
}
.mat-table-sticky {
  top: -1px !important;
}

// ::-moz-scrollbar {
//     width: 12px;
//     }
//     ::-moz-scrollbar-track {
//     -moz-box-shadow: inset 0 0 6px #fff;
//     background:#000;
//     }
//     ::-moz-scrollbar-thumb {
//     border-radius: 10px;
//     -moz-box-shadow: inset 0 0 6px #fff;
//     background:#7A252B;
// }

.mat-paginator-container {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  height: 50px !important;
  min-height: 50px !important;
  padding: 0 8px;
  flex-wrap: wrap-reverse;
  width: 100%;
  background: #f3f3f3;
  .mat-icon-button {
    border-radius: 0% !important;
  }
}

.mat-paginator {
  display: block;
  height: 50px;
  width: 65%;
  margin-left: auto;
}
// .mat-paginator-range-label {
//   display: none;
// }

// .mat-accent .mat-slider-track-fill,
// .mat-accent .mat-slider-thumb,
// .mat-accent .mat-slider-thumb-label {
//   background-color: var(--main-strada-color-1) !important;
// }

.cdk-drag-preview {
  display: flex !important;
  width: 100%;
  justify-content: center !important;
  text-align: center !important;
  font-weight: bold;
  padding-right: 0 !important;
  padding-left: 0 !important;
}
.mat-table thead {
  width: -webkit-fill-available;
}
.mat-sort-header-button {
  position: relative;
}
.mat-form-field-label {
  font-size: 15px !important;
  top: 1em !important;
}
.mat-form-field-appearance-outline .mat-form-field-label {
  top: 0.9em !important;
  font-size: 1.2em !important;
}
.mat-expansion-panel-header-title h2 {
  color: var(--main-strada-color-2);
}

.mat-expansion-panel-header {
  border-radius: unset !important;
  border-bottom: 1px solid #f3f5f6;
  height: 40px !important;
}

.mat-expansion-panel-body {
  padding: 10px 24px 10px !important;
}

.mat-expansion-indicator {
  height: 16px;
  line-height: 1;
}
.mat-expansion-indicator::after {
  padding: 3px !important;
}
.mat-expansion-panel-header-description,
.mat-expansion-indicator::after,
.mat-expansion-panel-header-title h3 {
  color: var(--main-strada-color-2) !important;
  font-weight: 100 !important;
  margin: 0 !important;
  font-size: 1em !important;
}

// **************************************************
//                      Label
// **************************************************
// ::ng-deep .mat-form-field-appearance-outline.mat-form-field-can-float.mat-form-field-should-float .mat-form-field-label, .mat-form-field-appearance-outline.mat-form-field-can-float .mat-input-server:focus + .mat-form-field-label-wrapper .mat-form-field-label{
//     top: 1.6em !important;
// }
// ::ng-deep  .mat-form-field-appearance-outline .mat-form-field-label{
// top :0 !important;
// font-size: 0.8em !important;
// }
.mat-form-field-appearance-outline .mat-form-field-infix {
  padding: 0.5em 0 0.5em 0 !important;
  input {
    font-size: 13px;
    font-family: "AvenirBook";
  }
  .mat-form-field-label-wrapper {
    font-size: 0.9em;
    * {
      font-family: "AvenirLight";
    }
  }
}

.mat-form-field-appearance-outline.mat-form-field-can-float.mat-form-field-should-float
  .mat-form-field-label,
.mat-form-field-appearance-outline.mat-form-field-can-float
  .mat-input-server:focus
  + .mat-form-field-label-wrapper
  .mat-form-field-label {
  transform: translateY(-0.85em) scale(0.75) !important;
  width: 133.3333333333%;
}

.mat-form-field-appearance-outline.mat-form-field-disabled
  .mat-form-field-label {
  color: rgba(0, 0, 0, 0.38);
}
.mat-form-field-appearance-outline:not(.mat-form-field-disabled) mat-label {
  color: var(--main-strada-color-2) !important;
}
.mat-input-element {
  caret-color: var(--main-strada-color-2) !important;
}

.mat-form-field-appearance-outline .mat-form-field-outline-thick {
  color: var(--main-strada-color-2) !important;
}
.mat-form-field .mat-focused,
.mat-form-field.mat-focused .mat-form-field-label {
  /*change color of label*/
  color: var(--main-strada-color-2) !important;
}
input.mat-input-element {
  font-size: 13px;
}
mat-form-field {
  width: 100%;
}

.inline-block {
  display: inline-flex;
  width: 100%;
}
.full-width {
  width: 100%;
}

.vehicle-details {
  overflow-y: auto;
  height: calc(100vh - 85px);
}

.mat-snack-bar-container {
  color: rgb(255, 255, 255) !important;
  background: #5793ce !important;
  margin: 1px !important;
}

.mat-form-field-infix {
  font-size: 12px;
}
.blue-text {
  color: #5793ce;
}
.turquoise-text {
  color: var(--color-green-1) !important;
}

.btn-blue {
  border-color: #5793ce !important;

  color: white !important;
  width: 100px;
}

// .mat-primary .mat-option.mat-selected:not(.mat-option-disabled) {
//   // color: #5793ce !important;
//   color: #fff !important;
//   background-color: var(--main-strada-color-2) !important;
// }

#DriveWithoutCard .mat-checkbox-indeterminate.mat-warn .mat-checkbox-background,
#DriveWithoutCard .mat-checkbox-checked.mat-warn .mat-checkbox-background {
  background-color: #4b74ff !important;
}

.mat-list-base .mat-list-item {
  border-radius: 5px;
}

.border-top-bottom {
  border-bottom: 1px solid;
  border-top: 1px solid;
}
// #vehicleListSelect .mat-select-value {
//     visibility: hidden;
// }
// #vehicleListSelect .mat-select-arrow-wrapper {
//   background: #5793ce;
//   height: 25px;
//   padding: 5px;
//   border-radius: 3px;
// }
// #searchBoxValue .mat-select-arrow-wrapper .mat-select-arrow {
//   color: white !important;
// }

#DriveWithoutCard .mat-checkbox-inner-container-no-side-margin {
  margin-top: -8px;
}

.breadcrumb-item .active a {
  top: 2px;
  position: relative;
}

// .cdk-overlay-pane .mat-select-panel-wrap {
//   top: 27px;
//   position: relative;
//   right: 18px;
// }

.main-strada-btn:hover {
  color: white !important;
}

*:focus {
  outline: none !important;
}

.mat-radio-button.mat-accent .mat-radio-inner-circle,
.mat-radio-button.mat-accent
  .mat-radio-ripple
  .mat-ripple-element:not(.mat-radio-persistent-ripple),
.mat-radio-button.mat-accent.mat-radio-checked .mat-radio-persistent-ripple,
.mat-radio-button.mat-accent:active .mat-radio-persistent-ripple {
  background-color: #354360;
}

.mat-radio-button.mat-accent.mat-radio-checked .mat-radio-outer-circle {
  border-color: #354360;
}

.mat-expansion-panel-header[aria-disabled="true"]
  .mat-expansion-panel-header-title,
.mat-expansion-panel-header[aria-disabled="true"]
  .mat-expansion-panel-header-description {
  color: #354360;
}
